> For the complete documentation index, see [llms.txt](https://docs.fluentbit.io/manual/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fluentbit.io/manual/data-pipeline/inputs/docker-events.md).

# Docker events

{% hint style="info" %}
**Supported event types:** `logs`
{% endhint %}

The *Docker events* input plugin uses the Docker API to capture server events. A complete list of possible events returned by this plugin can be found [in the Docker documentation](https://docs.docker.com/reference/cli/docker/system/events/).

## Configuration parameters

This plugin supports the following configuration parameters:

| Key                        | Description                                                                                                     | Default                |
| -------------------------- | --------------------------------------------------------------------------------------------------------------- | ---------------------- |
| `buffer_size`              | The size of the buffer used to read docker events in bytes.                                                     | `8192`                 |
| `key`                      | When a message is unstructured (no parser applied), it's appended as a string under the key name `message`.     | `message`              |
| `parser`                   | Specify the name of a parser to interpret the entry as a structured message.                                    | *none*                 |
| `reconnect.retry_interval` | The retry interval in seconds.                                                                                  | `1`                    |
| `reconnect.retry_limits`   | The maximum number of retries allowed. The plugin tries to reconnect with docker socket when `EOF` is detected. | `5`                    |
| `threaded`                 | Indicates whether to run this input in its own [thread](/manual/administration/multithreading.md#inputs).       | `false`                |
| `unix_path`                | The docker socket Unix path.                                                                                    | `/var/run/docker.sock` |

## Get started

To capture Docker events, you can run the plugin from the command line or through the configuration file.

### Command line

From the command line you can run the plugin with the following options:

```shell
fluent-bit -i docker_events -o stdout
```

### Configuration file

In your main configuration file, append the following:

{% tabs %}
{% tab title="fluent-bit.yaml" %}

```yaml
pipeline:
  inputs:
    - name: docker_events

  outputs:
    - name: stdout
      match: '*'
```

{% endtab %}

{% tab title="fluent-bit.conf" %}

```
[INPUT]
  Name   docker_events

[OUTPUT]
  Name   stdout
  Match  *
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fluentbit.io/manual/data-pipeline/inputs/docker-events.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
